%define upstream_name	 CGI
%define upstream_version 3.51

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
%define subrel 1
Release:    %mkrel 0
Epoch:      1

Summary:    Simple Common Gateway Interface class for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://stein.cshl.org/WWW/software/CGI/
Source0:    http://search.cpan.org/CPAN/authors/id/L/LD/LDS/%{upstream_name}.pm-%{upstream_version}.tar.gz

BuildRequires:  perl(FCGI)

BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}

Requires:       perl >= 0:5.004
Conflicts:      perl < 0:5.600-28mdk

%description
This perl library uses perl5 objects to make it easy to create
Web fill-out forms and parse their contents.  This package
defines CGI objects, entities that contain the values of the
current query string and other state variables.  Using a CGI
object's methods, you can examine keywords and parameters
passed to your script, and create forms whose initial values
are taken from the current query (thereby preserving state
information).

%package Fast
Group:		Development/Perl
Summary: 	CGI Interface for Fast CGI
Requires:	%{name} = %{epoch}:%{version}

%description Fast
CGI::Fast is a subclass of the CGI object created by CGI.pm. It is
specialized to work well with the Open Market FastCGI standard, which
greatly speeds up CGI scripts by turning them into persistently running
server processes.  Scripts that perform time-consuming initialization
processes, such as loading large modules or opening persistent database
connections, will see large performance improvements.

%prep
%setup -q -n %{upstream_name}.pm-%{upstream_version}
perl -pi -e s,/usr/local/bin/perl,/usr/bin/perl, examples/*.{cgi,pl}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}

%makeinstall_std

%clean 
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README *.html examples
%{perl_vendorlib}/CGI
%exclude %{perl_vendorlib}/CGI/Fast.pm
%{perl_vendorlib}/*.pm
%{_mandir}/man3/*
%exclude %{_mandir}/man3/CGI::Fast.3pm.*

%files Fast
%defattr(-,root,root)
%{perl_vendorlib}/CGI/Fast.pm
%{_mandir}/man3/CGI::Fast.3pm.*


%changelog
* Fri Jan 14 2011 Oden Eriksson <oeriksson@mandriva.com> 1:3.510.0-0.1mdv2010.2
- 3.51 (fixes CVE-2010-4411)

* Tue Nov 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1:3.500.0-0.1mdv2010.1
- 3.50 (fixes CVE-2010-2761, CVE-2010-4410)

* Mon Feb 08 2010 Jérôme Quelin <jquelin@mandriva.org> 1:3.490.0-1mdv2010.1
+ Revision: 502086
- update to 3.49

* Sun Sep 27 2009 Jérôme Quelin <jquelin@mandriva.org> 1:3.480.0-1mdv2010.0
+ Revision: 449994
- update to 3.48

* Fri Sep 11 2009 Jérôme Quelin <jquelin@mandriva.org> 1:3.470.0-1mdv2010.0
+ Revision: 438460
- adding missing buildrequires:
- update to 3.47

* Sun Aug 16 2009 Jérôme Quelin <jquelin@mandriva.org> 1:3.450.0-1mdv2010.0
+ Revision: 416947
- update to 3.45

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:3.43-1mdv2010.0
+ Revision: 370014
- update to new version 3.43

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1:3.39-2mdv2009.1
+ Revision: 351686
- rebuild

* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:3.39-1mdv2009.0
+ Revision: 270343
- update to new version 3.39

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:3.33-2mdv2009.0
+ Revision: 223572
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1:3.33-1mdv2008.1
+ Revision: 180554
- 3.33

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri May 18 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:3.29-1mdv2008.0
+ Revision: 28362
- Updated to 3.29.


* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 09:28:41 (63275)
- use the check macro

* Sat Oct 07 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-06 07:09:54 (62902)
- Import perl-CGI

* Thu Feb 09 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1:3.16-1mdk
- 3.16

* Tue Jan 31 2006 Oden Eriksson <oeriksson@mandrakesoft.com> 1:3.15-1mdk
- 3.15

* Tue May 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1:3.08-1mdk
- 3.08

* Thu Apr 22 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.05-1mdk
- 3.05

* Fri Feb 27 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.00-2mdk
- fixed perl-CGI-Fast dependency problem

